#ifndef STRINGS_H
#define STRINGS_H

#include <stdint.h>

void itoa(int n, char str[]);
void strrev(char s[]);
int strlen(char s[]);
char* strcpy(char* strDest, const char* strSrc);
char* strcnc(char* str1, char* str2);

char* u8_hex(const uint8_t x);
char* u16_hex(const uint16_t x);
char* u32_hex(const uint32_t x);
char* u64_hex(const uint64_t x);

#endif